<?php

namespace Ministra\Lib\RESTAPI\v1;

use Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\U7b993fd611168684ddb26c8f5ab7e336;
class RESTCommandUsers extends \Ministra\Lib\RESTAPI\v1\RESTCommandAccounts
{
    public function get(\Ministra\Lib\RESTAPI\v1\RESTRequest $request)
    {
        $accounts = parent::get($request);
        if (!empty($accounts)) {
            return $accounts[0];
        }
        return $accounts;
    }
    protected function getUsersIdsFromIdentifiers($identifiers)
    {
        if (!empty($identifiers[0]) && \strlen($identifiers[0]) >= 12 && \strpos($identifiers[0], ':')) {
            return \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\U7b993fd611168684ddb26c8f5ab7e336::r26bd764021bc3a042cb1b9d24d85a53a($identifiers);
        }
        return \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\U7b993fd611168684ddb26c8f5ab7e336::b90f5bd1f4cf8311c5394f32082be34c($identifiers);
    }
}
